package com.yiqi.common.core.domain.vo;

import com.yiqi.system.domain.ManageFactory;
import com.yiqi.system.domain.SysStore;
import lombok.Data;

@Data
public class SelectItemVO {

    private Long key;

    private String label;

    public SelectItemVO(SysStore sysStore){
        this.key = sysStore.getId();
        this.label = sysStore.getName();
    }

    public SelectItemVO(ManageFactory manageFactory){
        this.key = manageFactory.getId();
        this.label = manageFactory.getFactoryName();
    }

}
